#
# Copyright 2012, John Whitley, Peter Donald
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

=begin
#<
Enable or disable authbind for a particular port on a particular interface.

@action add Enable authbind.
@action remove Disable authbind.

@section Examples

Allow the glassfish user to bind to 10.2.3.4, port 80.

    authbind_addr "AuthBind GlassFish 10.2.3.4, Port 80" do
        addr '10.2.3.4'
        port 80
        user 'glassfish'
    end
#>
=end

actions :add, :remove

attribute :addr, :kind_of => String, :required => true
attribute :port, :kind_of => Integer, :required => true
attribute :user, :kind_of => String, :required => true
attribute :group, :kind_of => String, :default => nil

default_action :add
